{{
***********************************
* Martin Hebel                    *
* Southern Illinois University    *
* Electronic Systems Technologies *
* 5/26/2007                       *
* Test for TV_Plot object         *
***********************************
}}

CON 
  _clkmode = xtal1 + pll16x      '80MHz operating frequency.
  _xinfreq = 5_000_000
  _free = ($3000 ) >> 2          'accomodate bitmap buffers
  _stack = $100                  'insure sufficient stack                      


VAR   '' Global Variables and Cog Stack Space

   Long     Stack1[100]
   Long     Stack2[100]
   Long     Stack3[100] 
   Long     x
   Long     V_DACA
   Long     V_DACB
   Long     fV_DACA
   Long     fV_DACB
   Long     fvolt1
   Long     fvolt2

   
OBJ 
   FP    : "FloatMath"
   Plot   : "TV_Plot_obj"

Pub Start | Vmax
  VMax := 10              ' Set max value to plot
  Plot.start
  Plot.MaxTime(20)       ' Set max time in seconds, approximate value
  Plot.MaxVal(VMax)      ' Set max Y value
  Plot.freshscreen       ' Clean up plot area

    repeat                                 ' sample data to plot
        fvolt1 := fp.fadd(fvolt1,0.1)      ' increase 1
        fvolt2 := fp.fadd(fvolt2,0.2)      ' increase 2
        if fvolt1 > fp.ffloat(vmax)        ' check if at max
          fvolt1 := 0
        if fvolt2 > fp.ffloat(vmax)
          fvolt2 := 0
        Video_Plot                         ' Plot channels
        Video_Text                         ' update text
        waitcnt(clkfreq/1000 * 100 + cnt) 

 

Pub Video_Plot
    Plot.PlotA(fvolt1)                     ' plot data - floats
    Plot.PlotB(fvolt2)
    

Pub Video_Text
    Plot.UpdateText(fvolt1,fvolt2)         ' data for text area - all are floats

    